Packages - Freedom Issue #998

[firefox-theme-gnome] [icedtea-web] depend nonfree firefox
2016-05-01 02:33 AM - ovruni

Status: fixed % Done: 100%
Priority: freedom issue

Assignee: isacdaavid

Category:

Description

firefox-theme-gnome depends nonfree firefox installation

History

#1 - 2016-05-03 05:54 AM - isacdaavid

- Subject changed from [firefox-theme-gnome] depends nonfree firefox to [firefox-theme-gnome] [icedtea-web] depend nonfree firefox

Emulatorman mentioned two possible solutions:

a) changing those PKGBUILDs and adding them to [libre]
b) adding 'provides=(firefox)' to iceweasel or icecat, and removing 'replaces=(firefox)' from iceweasel and changing the blacklist. However this is
undesirable because immigrant users won't receive a firefox replacement when they add our [libre] repo.

#2 - 2016-05-23 07:12 PM - isacdaavid
- % Done changed from 0 to 50

We have replacements for icedtea-web and icedtea-web-doc in [libre] now.

#3 - 2016-05-28 10:59 PM - isacdaavid

| was half-way creating iceweasel-theme-gnome to replace firefox-theme-gnome when | found the work has already been done. firefox-theme-gnome
was renamed from firefox-theme-adwaita by Arch, and we already have an iceweasel-theme-adwaita in [libre] to replace it. We just need to get that
package in sync with the new one, and document firefox-theme-gnome in the blacklist.

#4 - 2016-06-08 12:20 AM - isacdaavid
- % Done changed from 50 to 90
- Assignee set to isacdaavid

- Status changed from open to in progress

#5 - 2016-06-08 12:44 AM - isacdaavid
- % Done changed from 90 to 100

- Status changed from in progress to fixed

iceweasel-theme-adwaita has been updated to iceweasel-theme-gnome-tweak and iceweasel-theme-gnome to replace firefox-theme-gnome-tweak
and firefox-theme-gnome
